
function DjDictionary(data= {}) {
  Object.dj_objectMerge(this,data)
}
export default DjDictionary
let ObjectPrototype = function() {};
ObjectPrototype.prototype = Object.prototype;
DjDictionary.prototype = new ObjectPrototype();
DjDictionary.prototype.constructor = DjDictionary;
export function init_dictionary(data={}){ return new DjDictionary(data) }
DjDictionary.prototype.dj_setObjectForKey = function(object,key) {
  this[key] = object;
}
/** 长度 **/
DjDictionary.prototype.dj_length = function() {
  return Object.keys(this).length
}
/** 读取所有 key **/
DjDictionary.prototype.dj_allKeys = function() {
  return Object.keys(this)
}
/** 读取所有 value **/
DjDictionary.prototype.dj_allValues = function() {
  return Object.values(this)
}
/** 设置 object 与 Key **/
DjDictionary.prototype.dj_setObjectForKey = function(object,key,condition = false) {
  if (condition == false){
    this[key] = object;
  }else {
    if (Object.dj_isString(object)){
      if (object.dj_isNotEmpty()){
        this[key] = object;
      }
    }else if (Object.dj_isNumber(object)){
      if (object != 0){
        this[key] = object;
      }
    }
  }
}
/** 移除指定 key 移除 **/
DjDictionary.prototype.dj_removeObjectForKey = function(key) {
  delete this[key];
}
/** 移除字典中所有对象 **/
DjDictionary.prototype.dj_removeAllObjects = function() {
  for(let key in this.dj_allKeys()){
    this.dj_removeObjectForKey(key)
  }
}

/** 键值转换 **/
DjDictionary.prototype.dj_reverseKeyAndValue = function() {
  return this.dj_allKeys().reduce((newData, key) => {
    let newKey = this[key] || key
    newData[newKey] = key
    return newData
  }, {})
}


/** 对象复制 **/
DjDictionary.prototype.dj_copy = function() {
  let newDictionary = new DjDictionary();
  let allKeys = this.dj_allKeys()
  for (let index = 0; index <allKeys.length; index++ ){
    let key = allKeys[index]
    newDictionary.dj_setObjectForKey(this[key],key)
  }
  return newDictionary;
}



