
function DjRandom() {}
export default DjRandom




/**
 * 随机小写字符串
 * @length: 长度  默认->8
 * @return: 指定长度的随机小写字符串
 * **/
DjRandom.dj_randomNumber = function(minNumber = 0,maxNumber=999999){
  let range = maxNumber - minNumber;
  let rand = Math.random();
  return(minNumber + Math.round(rand * range));
}
/**
 * 随机小写字符串
 * @length: 长度  默认->8
 * @return: 指定长度的随机小写字符串
 * **/
DjRandom.dj_randomLowercase = function(length = 8){
  let string = '';
  let lowerCaseArray = ['a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v','w','x','y','z'];
  for (let index  = 0; index < length; index++) {
    string += lowerCaseArray[Math.round(Math.random() * (lowerCaseArray.length-1))]
  }
  return string;
}
DjRandom.dj_randomUppercase = function(length = 8){
  let string = '';
  let upperCaseArray = ['A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z'];
  for (let index  = 0; index < length; index++) {
    string += upperCaseArray[Math.round(Math.random() * (upperCaseArray.length-1))]
  }
  return string;
}
DjRandom.dj_randomCase = function(length = 8){
  let string = '';
  let lowerCaseArray = ['a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v','w','x','y','z'];
  let upperCaseArray = ['A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z'];
  let charArray = Array();
  charArray.dj_addObjectsFromArray(lowerCaseArray)
  charArray.dj_addObjectsFromArray(upperCaseArray)
  for (let index  = 0; index < length; index++) {
    string += charArray[Math.round(Math.random() * (charArray.length-1))]
  }
  return string;
}
DjRandom.dj_randomString = function(length = 8){
  let string = '';
  let lowerCaseArray = ['a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v','w','x','y','z'];
  let upperCaseArray = ['A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z'];
  let numberArray = ['0','1','2','3','4','5','6','7','8','9'];
  let charArray = Array();
  charArray.dj_addObjectsFromArray(lowerCaseArray)
  charArray.dj_addObjectsFromArray(upperCaseArray)
  charArray.dj_addObjectsFromArray(numberArray)
  for (let index  = 0; index < length; index++) {
    string += charArray[Math.round(Math.random() * (charArray.length-1))]
  }
  return string;
}
DjRandom.dj_identifier = function(){
  return 'dj_'+Number(Math.random().toString().substr(3,8) + Date.now()).toString(36)
}

DjRandom.dj_randomColorRGB = function(alpha = 1){
  let red = Math.floor(Math.random()*256);
  let green = Math.floor(Math.random()*256);
  let blue = Math.floor(Math.random()*256);
  return 'rgba('+red+','+green+','+blue+','+alpha+')'
}
DjRandom.dj_randomColor16 = function(){
  let red = Math.floor(Math.random()*256);
  let green = Math.floor(Math.random()*256);
  let blue = Math.floor(Math.random()*256);
  return '#'+red.toString(16)+green.toString(16)+blue.toString(16);
}
DjRandom.dj_randomBackgroundColor = function(alpha = 1){
  return {'background-color':DjRandom.dj_randomColorRGB(alpha)}
}
DjRandom.dj_randomTextColor = function(){
  return {'color':DjRandom.dj_randomColorRGB()}
}






