



/**
 * Number的长度
 * @return 返回一个长度
 * **/
Number.prototype.dj_length = function() {
  return this.toString().length
}
/**
 * 数字补领
 * @length 长度
 * @return 一个补零后的字符串
 * **/
Number.prototype.dj_pad = function(length= 2) {
  let mapper = [];
  let len = length-this.toString().length;
  if (len <= 0) return this;
  if (!mapper[len]) mapper[len] = (new Array(len+1)).join('0');
  return mapper[len].toString() + this.toString() ;
}



/**
 * 转为单位
 * @unit 单位
 * @return 一个带有单位的字符串
 * **/
Number.prototype.dj_unit = function(unit='px'){
  return this + unit;
}




Number.dj_sumByArray = function(arr) {
  let len = arr.length;
  if(len == 0){
    return 0;
  } else if (len == 1){
    return arr[0];
  } else {
    return arr[0] + Number.dj_sumByArray(arr.slice(1));
  }
}


/**
 * 深 copy
 * @return 一个新的Number
 * **/
Number.prototype.dj_copy = function () {
  return Object.dj_copy(this);
};
